Package ghidra.service.graph

# Class DummyGraphDisplayListener

java.lang.Object
ghidra.service.graph.DummyGraphDisplayListener

All Implemented Interfaces:
  `GraphDisplayListener`

public class DummyGraphDisplayListener extends Object implements GraphDisplayListener

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DummyGraphDisplayListener()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `GraphDisplayListener`
  `cloneWith(GraphDisplay graphDisplay)`
  Makes a new GraphDisplayListener of the same type as the specific instance of this GraphDisplayListener
  `void`
  `dispose()`
  Tells the listener that it is no longer needed and it can release any listeners/resources.
  `void`
  `locationFocusChanged(AttributedVertex vertex)`
  Notification that the "focused" (active) vertex has changed
  `void`
  `selectionChanged(Set<AttributedVertex> vertices)`
  Notification that the set of selected vertices has changed

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### DummyGraphDisplayListener

    public DummyGraphDisplayListener()

- ## Method Details

  - ### cloneWith

    public GraphDisplayListener cloneWith(GraphDisplay graphDisplay)
    Description copied from interface: `GraphDisplayListener`
    Makes a new GraphDisplayListener of the same type as the specific instance of this GraphDisplayListener
    Specified by:
      `cloneWith` in interface `GraphDisplayListener`
    Parameters:
      `graphDisplay` - the new `GraphDisplay` the new listener will support
    Returns:
      A new instance of a GraphDisplayListener that is the same type as as the instance on which it is called

  - ### selectionChanged

    public void selectionChanged(Set<AttributedVertex> vertices)
    Description copied from interface: `GraphDisplayListener`
    Notification that the set of selected vertices has changed
    Specified by:
      `selectionChanged` in interface `GraphDisplayListener`
    Parameters:
      `vertices` - the set of currently selected vertices

  - ### locationFocusChanged

    public void locationFocusChanged(AttributedVertex vertex)
    Description copied from interface: `GraphDisplayListener`
    Notification that the "focused" (active) vertex has changed
    Specified by:
      `locationFocusChanged` in interface `GraphDisplayListener`
    Parameters:
      `vertex` - the vertex that is currently "focused"

  - ### dispose

    public void dispose()
    Description copied from interface: `GraphDisplayListener`
    Tells the listener that it is no longer needed and it can release any listeners/resources. This will be called when a `GraphDisplay` is disposed or if this listener is replaced.
    Specified by:
      `dispose` in interface `GraphDisplayListener`